[arch-commits] Commit in libcaca/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 16:19:24 EDT 2009


    Date: Saturday, April 4, 2009 @ 16:19:24
  Author: jgc
Revision: 33803

Merged revisions 33802 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libcaca/trunk

........
  r33802 | jgc | 2009-04-04 20:19:08 +0000 (Sat, 04 Apr 2009) | 1 line
  
  upgpkg: libcaca 0.99.beta16-1
........

Modified:
  libcaca/repos/extra-x86_64/	(properties)
  libcaca/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)


Property changes on: libcaca/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libcaca/trunk:1-9776
   + /libcaca/trunk:1-33802

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-04 20:19:08 UTC (rev 33802)
+++ extra-x86_64/PKGBUILD	2009-04-04 20:19:24 UTC (rev 33803)
@@ -2,19 +2,22 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libcaca
-pkgver=0.9
-pkgrel=2
+pkgver=0.99.beta16
+pkgrel=1
 pkgdesc="Color AsCii Art library"
 arch=('i686' 'x86_64')
 license=('LGPL')
 url="http://libcaca.zoy.org/"
-depends=('freetype2' 'imlib2' 'ncurses>=5.6-7')
+depends=('imlib2' 'ncurses>=5.6-7')
+options=(!libtool)
 source=(http://libcaca.zoy.org/files/libcaca/${pkgname}-${pkgver}.tar.gz)
-md5sums=('97b0f526f39491389e159055f574c921')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --mandir=/usr/share/man --enable-shared --disable-doc
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man \
+    --enable-shared --disable-doc \
+    --disable-cxx --disable-gl --disable-csharp || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
+  rmdir "${pkgdir}/usr/lib/caca-sharp"
 }



More information about the arch-commits mailing list